# class Loofah::Scrubbers::Strip

### scrub!(:strip)¶ ↑

`:strip` removes unknown/unsafe tags, but leaves behind the pristine contents:

    unsafe_html = "ohai! <div>div is safe</div> <foo>but foo is <b>not</b></foo>"
    Loofah.fragment(unsafe_html).scrub!(:strip)
    => "ohai! <div>div is safe</div> but foo is <b>not</b>"

### Public Class Methods

new() click to toggle source

    # File lib/loofah/scrubbers.rb, line 96
    def initialize
      @direction = :bottom_up
    end

### Public Instance Methods

scrub(node) click to toggle source

    # File lib/loofah/scrubbers.rb, line 100
    def scrub(node)
      return CONTINUE if html5lib_sanitize(node) == CONTINUE
      if node.children.length == 1 && node.children.first.cdata?
        sanitized_text = Loofah.fragment(node.children.first.to_html).scrub!(:strip).to_html
        node.before Nokogiri::XML::Text.new(sanitized_text, node.document)
      else
        node.before node.children
      end
      node.remove
    end